Bug 1291321 - segfault in sse2_fill()
segfault in sse2_fill()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pixman (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 09:43 EST by Harald Hoyer
Modified: 2017-08-08 08:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:31:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2015-12-14 09:43:58 EST
While running my testsuite with several qemu-kvm, I started gnome-system-monitor.

This is part of the traceback:

(gdb) bt
#0  0x00007ff20a52bf43 in sse2_fill (__B=..., __P=<optimized out>) at /usr/lib/gcc/x86_64-redhat-linux/5.1.1/include/emmintrin.h:710
#1  0x00007ff20a52bf43 in sse2_fill (data=..., dst=<optimized out>) at pixman-sse2.c:391
#2  0x00007ff20a52bf43 in sse2_fill (imp=<optimized out>, bits=<optimized out>, stride=<optimized out>, bpp=<optimized out>, x=<optimized out>, y=<optimized out>, width=1332, height=420, filler=0) at pixman-sse2.c:3406
#3  0x00007ff20a5103fb in _pixman_implementation_fill (imp=0x5622921b2660, bits=0x7ff19020f000, stride=1332, bpp=32, x=0, y=0, width=1332, height=1465, filler=<optimized out>) at pixman-implementation.c:277
#4  0x00007ff20a4cab89 in pixman_fill (bits=<optimized out>, stride=<optimized out>, bpp=<optimized out>, x=<optimized out>, y=<optimized out>, width=<optimized out>, height=1465, filler=0) at pixman.c:759
#5  0x00007ff210a43e16 in fill_boxes () at /lib64/libcairo.so.2
#6  0x00007ff210a7d940 in clip_and_composite_boxes.part () at /lib64/libcairo.so.2

(gdb) up
#1  save_128_aligned (data=..., dst=<optimized out>) at pixman-sse2.c:391
391	    _mm_store_si128 (dst, data);
(gdb) up
#2  sse2_fill (imp=<optimized out>, bits=<optimized out>, stride=<optimized out>, bpp=<optimized out>, x=<optimized out>, y=<optimized out>, width=1332, height=420, filler=0) at pixman-sse2.c:3406
3406		    save_128_aligned ((__m128i*)(d + 64),  xmm_def);
(gdb) info locals
w = <optimized out>
d = 0x7ff19075dfc0 ""
byte_width = 5328
byte_line = <optimized out>
xmm_def = {0, 0}
(gdb) up
#3  0x00007ff20a5103fb in _pixman_implementation_fill (imp=0x5622921b2660, bits=0x7ff19020f000, stride=1332, bpp=32, x=0, y=0, width=1332, height=1465, filler=<optimized out>) at pixman-implementation.c:277
277		    ((*imp->fill) (imp, bits, stride, bpp, x, y, width, height, filler)))
(gdb) up
#4  0x00007ff20a4cab89 in pixman_fill (bits=<optimized out>, stride=<optimized out>, bpp=<optimized out>, x=<optimized out>, y=<optimized out>, width=<optimized out>, height=1465, filler=0) at pixman.c:759
759	    return _pixman_implementation_fill (
(gdb) info locals
Comment 1 Jan Kurik 2016-02-24 09:08:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:38:07 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:31:22 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.